Clipping plane tool/script/plugin/nuggets out there?

Thanks Dale, it does not look like what I want. A lot of complexity there. I want something that I activate and turn off with one click. No extra layers, no widges on my viewport when is not active, no extra geometry.

Is that possible? Have you seen how the section view works in Soliworks/NX/etc?

G

I haven’t seen clipping planes in the products you mention.

If you had a tool that could turn or or off all clipping planes at once, would that be helpful? I would be a command that you could assign to a button…

1 Like

absolutely! Something that can do a clipping plane at X, Y, Z, or pased on a 3-point pick. Pleeeease!

G

I don’t understand this. I thought you just wanted to turn all clipping planes on and off?

Hi Gustavo - Clipping plane uses the regular Rectangle control so you have the 3point and Vertical contraints. You can macro placing clipping planes as well, so one in the current CPLane

! _ClippingPlane 0 10,10

on the World ZX plane

! _ClippingPlane _3Point w0,0,0 w10,0,0 w10,0,10

As a vertrical plane to the current cplane (like CutPlane) Yeah this one is a little more obscure, but you can use mine =)

! _ClippingPlane _Vertical  Pause Pause 10 r0,0,10 

Any of that help, for now?

-Pascal

@gustojunk, Currently as far as I can see, -Properties for clipping planes is broken, but in the regular Properties dialog, you can control all selected clipping planes at once - SelClippingPlane then Properties and then uncheck all views. I know this is lame compared to a dedicated command that could remember the views and turn them back on, but it might help. For now.

-Pascal

thank you guys, this kind of helps, but not much since the biggest problems I still face is: if a clipping plane is hidden (object hidden, or layer hidden) I have no way to turn it off.

Pascal, any chance you can cook a lil’ script that does what SelClippingPlane>delete does, but it can select and delete all clipping planes in a file, regardless of object/layerstate visibility?

With that a a bit of macro tweaking based on your suggestions I would have a solidworks-llike section tool.

Thx!

G

This should do it:

import rhinoscriptsyntax as rs
clips=rs.ObjectsByType(536870912)
if clips: rs.DeleteObjects(clips)

–Mitch

Hi Gustavo,

I’ve worked up a simple plug-in that contains two commands:

DisableAllClippingPlanes
EnableAllClippingPlanes

The plug-in work with 64-bit Rhino 5 only.

Let me know if this is helpful

GustoJunk.rhp (35 KB)

Hi Mitch,

I just tried what you posted…

…the only way I know, and it’s not working. what should my text should look like to paste in a button? Apparently not like this:

(I’m shamefully thick for this stuff, sorry)

G

Hi Dale,

This is kind of useful, I think between this, Pascal’s macro idea and a fixed version of Mitch’s delete clippingplanes I can cobble something together. If it’s elegant I’ll report back.

G

It’s not a vb Rhinoscript, it’s a Python script. To run:

! _RunPythonScript (

<paste script here>

)

–Mitch

@gustojunk, just curious of my plug-in helped or not…

Hello guys, I’m reopening this thread as I’m working under Rhino 5 and as the quite the same questions as @gustojunk. The thing is, I don’t know anything about scripting and how it works, so I’m quite lost in your discussion.

I’m looking for somthing simple. I need to make, let’s say, 5 clipping planes of the same object, that I could easily toggle on / off. So I thought Creating a clipping plane, moving it to a layer, then simply toggle on/off the layer will do the job… but didn’t work. Someone as a plugin for that?

@dale, your toolsection plugin look awesome… but a bit to complicate. Maybe you can indicate me how I can achieve what I want with your plugin ? simply :slight_smile:

Best,
-CC

Hi @billytalent.exe,

You can toggle a clipping plane’s visibility using the Properties panel. Just un-check the clipped view(s):

image

Or am I confused what you want?

– Dale

1 Like

sorry dale, let me clarify a bit.

I have an object in my perspective view. that I want to cut at different angles. I want to be able to navigate in one click between one and another clipping plane. Is that possible ?

thank you
-CC

This isn’t a feature of Rhino. It may be possible for someone to write a utility to do this, however.

– Dale

An easy work-around goes like this:

  • Create a NamedView from your perspective view without any clipping planes active - name it e.g. v0
  • Activate one of your clipping planes and make a new NamedView - e.g. v1
  • Activate your NamedView v0
  • Activate an other clipping plane and make a new NamedView - e.g. v2
  • etc…

Now, when you want to navigate between these clipped views, just type e.g. v4 on the command line (with Enter) and your scene will be clipped with Clipping Plane number 4. [or you can use the NamedView dialog box to navigate between them].

3 Likes

@wim Nice i like that option. I have done it in the past by coding clipping planes from grid-lines in GH and using a value list, but this keeps it all in Rhino which for some it better.

I guess you code all the saved viewports with there clipping planes in GH if you did not want to make them all manually. Though this could get complicated if you need the Clipping planes at different view angles in perspective for each view. Simple enough in parallel views i would think.

1 Like

Thank you guys.
I finally end up creating something like you propose @wim.

  • create 4 clipping plan. disable them like @dale suggest uppward
  • create 4 cutplane parralle to each of the clipping plane.
  • set camera perpendicular to cutplane ( _OrientCameratoSrf)
    -make a view for each of them.

a bit of manual work but it does the job.

Woulb be nice tho to see a lilttle script for theses manipulation. @mattgaydon ideas ?
I would do it, but Idon’t know myself how to code…

Thank for help :wink:
-CC